package cn.iocoder.yudao.module.product.convert.envtype;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.controller.admin.envtype.vo.*;
import cn.iocoder.yudao.module.product.dal.dataobject.envtype.EnvTypeDO;

/**
 * 环境类型 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface EnvTypeConvert {

    EnvTypeConvert INSTANCE = Mappers.getMapper(EnvTypeConvert.class);

    EnvTypeDO convert(EnvTypeCreateReqVO bean);

    EnvTypeDO convert(EnvTypeUpdateReqVO bean);

    EnvTypeRespVO convert(EnvTypeDO bean);

    List<EnvTypeRespVO> convertList(List<EnvTypeDO> list);

    PageResult<EnvTypeRespVO> convertPage(PageResult<EnvTypeDO> page);

}
